# List acquisition channels List acquisition channels registered for a specific program. The acquisition channel is the unique ID of the original source of your customer (such as a referring web page or mobile app). Acquisition channels are configured at the program level. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Accounts", "description": "Endpoints to manage accounts" } ], "components": { "parameters": { "PageNumberQuery": { "in": "query", "name": "page", "description": "Page number.", "required": false, "schema": { "type": "integer", "format": "int32", "default": 1 } }, "PerPageMax100Query": { "name": "perPage", "in": "query", "description": "Items per page.", "required": false, "schema": { "type": "integer", "format": "int32", "default": 10, "minimum": 1, "maximum": 100, "example": 100 } }, "ProgramIdPath": { "name": "programId", "in": "path", "description": "Program ID", "required": true, "schema": { "type": "integer", "format": "int64", "example": 123, "minimum": 1 } } }, "schemas": { "AcquisitionChannelsResponse": { "type": "object", "properties": { "pages": { "$ref": "#/components/schemas/NumberOfPages" }, "per_page": { "$ref": "#/components/schemas/PerPage" }, "current_page": { "$ref": "#/components/schemas/CurrentPage" }, "total_items": { "$ref": "#/components/schemas/TotalItems" }, "items": { "type": "array", "description": "List of result items", "items": { "$ref": "#/components/schemas/AcquisitionChannelItemResponse" } } } }, "AcquisitionChannelID": { "type": "integer", "format": "int64", "description": "Application's acquisition channel ID. An acquisition channel is how a customer was referred to the site, such as through a web app or mobile app.\n\nYou can call [List acquistion channels](https://developers.pismo.io/pismo-docs/reference/get-acquisitions-v2-programs-programid-channels) to find channels registered for your account.\n", "example": 111 }, "AcquisitionChannelItemResponse": { "title": "AcquisitionChannelItemResponse", "type": "object", "required": [ "id", "type", "name" ], "properties": { "id": { "$ref": "#/components/schemas/AcquisitionChannelID" }, "type": { "$ref": "#/components/schemas/AcquisitionChannelType" }, "name": { "$ref": "#/components/schemas/AcquisitionChannelName" } } }, "AcquisitionChannelName": { "type": "string", "description": "Acquisition channel name", "example": "Android app" }, "AcquisitionChannelType": { "type": "string", "description": "Acquisition channel type", "example": "Mobile app" }, "CurrentPage": { "type": "integer", "format": "int32", "description": "Current page", "example": 1 }, "NumberOfPages": { "type": "integer", "format": "int32", "description": "Total pages", "example": 100 }, "PerPage": { "type": "integer", "format": "int64", "description": "Maximum items per page. 100 maximum.", "example": 100 }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "TotalItems": { "type": "integer", "format": "int32", "description": "Total items", "example": 500 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/acquisitions/v2/programs/{programId}/channels": { "get": { "operationId": "get-acquisitions-v2-programs-programId-channels", "summary": "List acquisition channels", "description": "List acquisition channels registered for a specific program. \n\nThe acquisition channel is the unique ID of the original source of your customer (such as a referring web page or mobile app). Acquisition channels are configured at the program level.\n", "tags": [ "Accounts" ], "parameters": [ { "$ref": "#/components/parameters/ProgramIdPath" }, { "$ref": "#/components/parameters/PageNumberQuery" }, { "$ref": "#/components/parameters/PerPageMax100Query" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AcquisitionChannelsResponse" }, "examples": { "Channel list": { "value": { "total_items": 1, "per_page": 10, "pages": 1, "current_page": 1, "items": [ { "id": 123, "type": "Webapp", "name": "eStore form" } ] } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Error retrieving acquisition channels" } } } } } } } } } } } ```